package com.kamco.cd.kamcoback.postgres.repository.scheduler;

import com.kamco.cd.kamcoback.scheduler.dto.MapSheetMngDto;
import com.kamco.cd.kamcoback.scheduler.dto.MapSheetMngDto.MngHstDto;
import java.util.List;
import org.springframework.data.domain.Page;

public interface MapSheetMngFileJobRepositoryCustom {

  Page<MapSheetMngDto.MngDto> findMapSheetMngList(MapSheetMngDto.MngSearchReq searchReq);

  void mngHstDataSyncStateUpdate(MapSheetMngDto.MngHstDto updateReq);

  List<MngHstDto> findTargetMapSheetFileList(long targetNum, int pageSize);
}
